MKOCTFILE(1)

NAME
mkoctfile - Compile dynamic-load modules for GNU Octave

SYNOPSIS
mkoctfile [-IDIR] [-DDEF] [-lLIB] [-LDIR] [-M|--depend] [-c] [-o FILE|--output FILE] [-p VAR|--print VAR] [-s|--strip] [-v|--verbose] [-h|-?|--help] file ...

DESCRIPTION

mkoctfile is used to compile source C, C++ or Fortran source code in dynamically loadable .oct file for octave(1).

OPTIONS
mkoctfile accepts the following options:

-IDIR
    Add include directory DIR to compile commands.

-DDEF
    Add definition DEF to compiler call.

-lLIB
    Add library LIB to link command.

-LDIR
    Add library directory DIR to link command.

-M|--depend
    Generate dependency files (.d) for C and C++ source files.

-c  Compile but do not link.

-o FILE|--output FILE
    Output file name; default extension is .oct (or .mex if --mex is specified) unless linking a stand-alone executable.

-p VAR|--print VAR
    Print configuration variable VAR. Recognized variables are:
        ALL_CFLAGS FFTW_LIBS
        ALL_CXXFLAGS FLIBS
        ALL_FFLAGS FPICFLAG
        ALL_LDFLAGS INCFLAGS
        BLAS_LIBS LDFLAGS
        CC LD_CXX
        CFLAGS LD_STATIC_FLAG
        CPICFLAG LFLAGS
        CPPFLAGS LIBCRUFT
        CXX LIBOCTAVE
        CXXFLAGS LIBOCTINTERP
        CXXPICFLAG LIBREADLINE
        DEPEND_EXTRA_SED_PATTERN LIBS
        DEPEND_FLAGS OCTAVE_LIBS
        DL_LD RDYNAMIC_FLAG
        DL_LDFLAGS RLD_FLAG
        F2C SED
        F2CFLAGS XTRA_CFLAGS
        F77 XTRA_CXXFLAGS
        FFLAGS

--link-stand-alone
    Link a stand-alone executable file.

--mex
    Assume we are creating a MEX file. Set the default output extension to .mex.

-s|--strip
    Strip the output file.

-v|--verbose
    Echo commands as they are executed.

file
    Compile or link file. Recognised file types are
        .c C source
        .cc C++ source
        .C C++ source
        .cpp C++ source
        .f Fortran source
        .F Fortran source
        .o object file
        .a library file

SEE ALSO
octave(1).

AUTHOR
John W. Eaton <jwe@octave.org> This manual page was contributed by Dirk Eddelbuettel <edd@debian.org> for the Debian GNU/Linux distribution but may be used by others.